Fedora Linux Support Community & Resources Center
  #16  
Old 1st May 2012, 01:37 PM
d1zZy Offline
Registered User
 
Join Date: May 2010
Posts: 5
linuxfirefox
Re: Xfce 4.10 released

Hi,

I get the following error when updating on a fresh install F17.

Quote:
Error: Package: im-chooser-xfce-1.5.2.2-1.fc17.x86_64 (@fedora)
Requires: libxfce4util.so.4()(64bit)
Removing: libxfce4util-4.8.2-2.fc17.x86_64 (@koji-override-0/$releasever)
libxfce4util.so.4()(64bit)
Updated By: libxfce4util-4.9.1-1.fc17.x86_64 (fedora-xfce-4.10)
Not found
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
--skip-broken does not help. Any help is appreciated.

Thanks a lot
Reply With Quote
  #17  
Old 1st May 2012, 07:37 PM
PabloTwo Offline
"Registered User" T-Shirt Winner
 
Join Date: Mar 2007
Location: Seville, FL
Posts: 6,190
linuxchrome
Re: Xfce 4.10 released

@d1zZy- Looks like you'll need to "yum erase im-chooser-xfce" in order to work around that issue.
Code:
 im-chooser-xfce-1.5.2.2-1.fc17.x86_64 (@fedora)
Requires: libxfce4util.so.4()(64bit)
Problem is, the updated libxfce4util-4.9.1-1.fc17.x86_64 package from the fedora-xfce-4.10 repo only provides libxfce4util.so.6()(64bit).

On F16, I have installed im-chooser, which doesn't present any dependency conflict with the packages from the fedora-xfce-4.10 repo.
Reply With Quote
  #18  
Old 2nd May 2012, 02:15 PM
d1zZy Offline
Registered User
 
Join Date: May 2010
Posts: 5
linuxfirefox
Re: Xfce 4.10 released

That worked. Thanks a lot.
Reply With Quote
  #19  
Old 4th May 2012, 05:41 AM
nirik Offline
Community Manager
 
Join Date: Mar 2009
Location: Broomfield, CO
Posts: 436
macosmidori
Re: Xfce 4.10 released

Just a few misc things:

- yeah, I need to build a new im-chooser for the repo, since they updated in f17 again. It will be updated in the new 4.10 final repo I am building now. In the mean time removing im-chooser-xfce should work provided you dont need it.

- nouveau issues should have nothing to do with Xfce. If you can't get nouveau working in f17, you can still use the f16 version of my 4.10 repo to try it out on f16.

- The "xfce4-panel Process /usr/lib64/xfce4/panel/migrate was killed by signal 6 (SIGABRT) 2011-04-29 12:49" bug should be fixed in 4.10 final (building now). The repo has pre2 in it currently.

Thanks for all the feedback... enjoy.
Reply With Quote
  #20  
Old 5th May 2012, 04:46 AM
tox
Guest
 
Posts: n/a
windows_7firefox
Re: Xfce 4.10 released

Quote:
Originally Posted by ah7013 View Post
Dunno if it would work but have you tried booting the livecd with xdriver=vesa nomodeset ?
using that did work but wasnt Great. i still wouldnt/wont install F17, just seems to flaky, Video wise.
Reply With Quote
  #21  
Old 5th May 2012, 07:14 AM
ah7013 Offline
Registered "Cashew" User
 
Join Date: May 2010
Location: Adelaide, Australia
Age: 20
Posts: 671
linuxfirefox
Re: Xfce 4.10 released

Quote:
Originally Posted by tox View Post
using that did work but wasnt Great. i still wouldnt/wont install F17, just seems to flaky, Video wise.
what about using the proprietary nvidia drivers on F17? Would that make a difference?
Reply With Quote
  #22  
Old 5th May 2012, 07:31 AM
tox
Guest
 
Posts: n/a
windows_7firefox
Re: Xfce 4.10 released

Quote:
Originally Posted by ah7013 View Post
what about using the proprietary nvidia drivers on F17? Would that make a difference?
prolly would but all in all i think i'll give F17 a miss an wait for F18.
Reply With Quote
  #23  
Old 7th May 2012, 07:56 PM
bigflopper2 Offline
Registered User
 
Join Date: Dec 2011
Posts: 214
linuxfirefox
Re: Xfce 4.10 released

working under f16 without any problems

I've to say, xfce 4.10 is a pleasure...under xfce 4.8 the menu was sluggish, on 4.10 the problem is gone
Reply With Quote
  #24  
Old 7th May 2012, 11:48 PM
ElderSnake Offline
Registered User
 
Join Date: Nov 2010
Location: Australia
Posts: 818
linuxchrome
Re: Xfce 4.10 released

Quote:
Originally Posted by bigflopper2 View Post
working under f16 without any problems

I've to say, xfce 4.10 is a pleasure...under xfce 4.8 the menu was sluggish, on 4.10 the problem is gone
That's good to hear.

4.8 I found the right click menu took 2+ seconds to respond, though everything else was okay. Strange but glad its fixed.
__________________
OS': Arch Linux (Xfce + Kwin) - Debian Testing (Xfce) - Fedora 20 - now Windows-free thanks Valve!
Reply With Quote
  #25  
Old 8th May 2012, 04:30 PM
Cringer63 Offline
Registered User
 
Join Date: May 2012
Location: Edinburg, TX
Posts: 1
linuxfirefox
Re: Xfce 4.10 released

I had to remove xfburn and im-chooser to get it xfce 4.10 on my laptop with Fedora 17 beta, but I will live without those I think. Worked well once those were removed, not problems so far but I am not dealling with nvidia like some others in this thread (intel).

Menu system is a little cleaner in appearance, I like the rows in panels which makes for a nice side panel for me.
Reply With Quote
  #26  
Old 25th October 2012, 02:37 AM
StephenH Offline
Registered User
 
Join Date: Jul 2004
Location: Wake Forest, NC
Age: 60
Posts: 1,385
linuxfirefox
Re: Xfce 4.10 released

New problem: yum wants to upgrade xfce4-xkb-plugin, but fails. Here is the message:

yum update
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package xfce4-xkb-plugin.x86_64 0:0.5.4.1-5.fc17 will be updated
---> Package xfce4-xkb-plugin.x86_64 0:0.5.4.3-2.fc17 will be an update
--> Processing Dependency: libxfce4util.so.4()(64bit) for package: xfce4-xkb-plugin-0.5.4.3-2.fc17.x86_64
--> Processing Dependency: libxfce4panel-1.0.so.3()(64bit) for package: xfce4-xkb-plugin-0.5.4.3-2.fc17.x86_64
--> Finished Dependency Resolution
Error: Package: xfce4-xkb-plugin-0.5.4.3-2.fc17.x86_64 (updates)
Requires: libxfce4util.so.4()(64bit)
Available: libxfce4util-4.8.2-2.fc17.x86_64 (fedora)
libxfce4util.so.4()(64bit)
Installed: libxfce4util-4.10.0-1.fc17.x86_64 (@fedora-xfce-4.10)
Not found
Error: Package: xfce4-xkb-plugin-0.5.4.3-2.fc17.x86_64 (updates)
Requires: libxfce4panel-1.0.so.3()(64bit)
Available: xfce4-panel-4.8.6-4.fc17.x86_64 (fedora)
libxfce4panel-1.0.so.3()(64bit)
Installed: xfce4-panel-4.10.0-1.fc17.x86_64 (@fedora-xfce-4.10)
Not found
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Is a suitable xfce4-xkb-plugin for 4.10 forthcoming? It is one plugin I use regularly to switch between English, Biblical Hebrew, and Polytonic Greek keyboards for seminary work.
__________________
StephenH

"We must understand the reality that just because our culture claims certain things are true it does not mean they are!" --M. Liederbach

http://pilgrim-wanderings.blogspot.com
Reply With Quote
  #27  
Old 25th October 2012, 03:16 AM
PabloTwo Offline
"Registered User" T-Shirt Winner
 
Join Date: Mar 2007
Location: Seville, FL
Posts: 6,190
linuxchrome
Re: Xfce 4.10 released

I ran into this issue also on F16, but since I don't use that plugin I just deleted the version I had installed.
You can prevent yum from complaining about it (skip trying to upgrade that particular package) by adding the package name to the "exclude=" line in your /etc/yum.conf file.
Code:
exclude=xfce4-xkb-plugin
If you don't have an exclude line in that file, just add one. Alternately, you can just exclude it on the yum command line:
Code:
# yum --exclude=xfce4-xkb-plugin update
Reply With Quote
  #28  
Old 25th October 2012, 04:36 AM
StephenH Offline
Registered User
 
Join Date: Jul 2004
Location: Wake Forest, NC
Age: 60
Posts: 1,385
linuxfirefox
Re: Xfce 4.10 released

That works, but my question may have anticipated the placement of an updated xfce4-xkb-plugin in the xfce 4.10 repository. I just tried again, and there was a new one which is now installed with no more complaints from yum about dependencies.
__________________
StephenH

"We must understand the reality that just because our culture claims certain things are true it does not mean they are!" --M. Liederbach

http://pilgrim-wanderings.blogspot.com
Reply With Quote
  #29  
Old 25th October 2012, 04:40 AM
nirik Offline
Community Manager
 
Join Date: Mar 2009
Location: Broomfield, CO
Posts: 436
linuxchrome
Re: Xfce 4.10 released

Yes, I just updated the repos... there was a new xfce4-kbd-plugin update in f16/f17, so I needed to update my side repos to update as well.
Reply With Quote
  #30  
Old 25th October 2012, 02:23 PM
StephenH Offline
Registered User
 
Join Date: Jul 2004
Location: Wake Forest, NC
Age: 60
Posts: 1,385
linuxfirefox
Re: Xfce 4.10 released

Quote:
Originally Posted by nirik View Post
Yes, I just updated the repos... there was a new xfce4-kbd-plugin update in f16/f17, so I needed to update my side repos to update as well.
Thanks. I appreciate it.

Now for another question:

xfce4-power-manager now only displays a plug icon in the notification area. The preferences dialogue no longer displays information about options for when the computer is on battery power. It used to work. Apcupsd recognizes and reports the information about the UPS (APC BackUPS XS1500 connected via USB) but xfce4-power-manager does not. It happened when the kernel went to the 3.6.x versions. Do you know if this is something that can/will be fixed?
__________________
StephenH

"We must understand the reality that just because our culture claims certain things are true it does not mean they are!" --M. Liederbach

http://pilgrim-wanderings.blogspot.com

Last edited by StephenH; 25th October 2012 at 02:30 PM. Reason: add question
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Xfce 4.8pre3 released! tox Linux Chat 9 21st January 2011 05:34 AM
Xfce 4.8pre1 Released tox Linux Chat 0 8th November 2010 08:20 AM
Fedora 10 xfce xfce menu not working well xroox Hardware & Laptops 1 1st June 2009 06:47 AM
Xfce 4.6 Final Released Wayne Using Fedora 24 20th March 2009 10:58 PM
XFCE 4.4.0 released Wayne Using Fedora 32 10th August 2007 10:10 AM


Current GMT-time: 09:22 (Thursday, 23-10-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat
Longjing - Al Fayyum - Maham Travel Photos